MatrixSize

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## no.uib.cipr.matrix.io
Class MatrixSize

    java.lang.Object
      no.uib.cipr.matrix.io.MatrixSize

    public class MatrixSize

extends java.lang.Object

Contains the size of a matrix stored in the Matrix Market exchange format

Constructor Summary
`MatrixSize(int numRows, int numColumns, int numEntries)` Constructor for MatrixSize
`MatrixSize(int numRows, int numColumns, MatrixInfo info)` Constructor for MatrixSize

Method Summary
`boolean` | `isSquare()` Returns `true` if the matrix is square, else `false`
`int` | `numColumns()` Returns the number of columns in the matrix
`int` | `numEntries()` Returns the number of entries stored
`int` | `numRows()` Returns the number of rows in the matrix

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatrixSize

    public MatrixSize(int numRows,
                      int numColumns,
                      MatrixInfo info)

  Constructor for MatrixSize

  Parameters:
    `numRows` - Number of rows in the matrix
    `numColumns` - Number of columns in the matrix
    `info` - Info on the matrix

### MatrixSize

    public MatrixSize(int numRows,
                      int numColumns,
                      int numEntries)

  Constructor for MatrixSize

  Parameters:
    `numRows` - Number of rows in the matrix
    `numColumns` - Number of columns in the matrix
    `numEntries` - Number of entries stored

Method Detail

### numRows

    public int numRows()

  Returns the number of rows in the matrix

### numColumns

    public int numColumns()

  Returns the number of columns in the matrix

### numEntries

    public int numEntries()

  Returns the number of entries stored

### isSquare

    public boolean isSquare()

  Returns `true` if the matrix is square, else `false`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD